Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.27
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.x509
Class CertificatePolicies

    java.lang.Object
      |
      +--org.bouncycastle.asn1.ASN1Encodable
            |
            +--org.bouncycastle.asn1.x509.CertificatePolicies

All Implemented Interfaces:
  DEREncodable

public class CertificatePolicies
extends ASN1Encodable

Constructor Summary
`CertificatePolicies(ASN1Sequence seq)` Deprecated. use an ASN1Sequence of PolicyInformation
`CertificatePolicies(DERObjectIdentifier p)` Deprecated. use an ASN1Sequence of PolicyInformation
`CertificatePolicies(java.lang.String p)` Deprecated. use an ASN1Sequence of PolicyInformation

Method Summary
`void` | `addPolicy(java.lang.String p)`
`static CertificatePolicies` | `getInstance(ASN1TaggedObject obj, boolean explicit)` Deprecated. use an ASN1Sequence of PolicyInformation
`static CertificatePolicies` | `getInstance(java.lang.Object obj)` Deprecated. use an ASN1Sequence of PolicyInformation
`java.lang.String` | `getPolicy(int nr)`
`DERObject` | `toASN1Object()` Deprecated. use an ASN1Sequence of PolicyInformation
`java.lang.String` | `toString()`

Methods inherited from class org.bouncycastle.asn1.ASN1Encodable
`equals, getDERObject, getEncoded, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CertificatePolicies

    public CertificatePolicies(ASN1Sequence seq)

  Deprecated. use an ASN1Sequence of PolicyInformation

### CertificatePolicies

    public CertificatePolicies(DERObjectIdentifier p)

  Deprecated. use an ASN1Sequence of PolicyInformation

  create a certificate policy with the given OID.

### CertificatePolicies

    public CertificatePolicies(java.lang.String p)

  Deprecated. use an ASN1Sequence of PolicyInformation

  create a certificate policy with the policy given by the OID represented by the string p.

Method Detail

### getInstance

    public static CertificatePolicies getInstance(ASN1TaggedObject obj,
                                                  boolean explicit)

  Deprecated. use an ASN1Sequence of PolicyInformation

### getInstance

    public static CertificatePolicies getInstance(java.lang.Object obj)

  Deprecated. use an ASN1Sequence of PolicyInformation

### addPolicy

    public void addPolicy(java.lang.String p)

### getPolicy

    public java.lang.String getPolicy(int nr)

### toASN1Object

    public DERObject toASN1Object()

  Deprecated. use an ASN1Sequence of PolicyInformation

       certificatePolicies ::= SEQUENCE SIZE (1..MAX) OF PolicyInformation

       PolicyInformation ::= SEQUENCE {
         policyIdentifier   CertPolicyId,
         policyQualifiers   SEQUENCE SIZE (1..MAX) OF
                                 PolicyQualifierInfo OPTIONAL }

       CertPolicyId ::= OBJECT IDENTIFIER

       PolicyQualifierInfo ::= SEQUENCE {
         policyQualifierId  PolicyQualifierId,
         qualifier          ANY DEFINED BY policyQualifierId }

       PolicyQualifierId ::=
         OBJECT IDENTIFIER ( id-qt-cps | id-qt-unotice )

  Overrides:
    `toASN1Object` in class `ASN1Encodable`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.27
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD